aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2020-06-05 14:29:14 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2020-06-05 14:29:49 +0000
commit196c235d186e74c9d73a5a7bf4435375638ab007 (patch)
tree6d51869903ccfefd6ea9b010c686469b34a8fb6c
parent3d1b019a6adaf25f92a2477d3fb412855f692e64 (diff)
downloadaports-196c235d186e74c9d73a5a7bf4435375638ab007.tar.gz
aports-196c235d186e74c9d73a5a7bf4435375638ab007.tar.bz2
aports-196c235d186e74c9d73a5a7bf4435375638ab007.tar.xz
community/gns3-server: upgrade to 2.2.9, updated deps
-rw-r--r--community/gns3-server/APKBUILD14
-rw-r--r--community/gns3-server/requirements.patch9
2 files changed, 6 insertions, 17 deletions
diff --git a/community/gns3-server/APKBUILD b/community/gns3-server/APKBUILD
index 1d5f9da5f8..6ca960aa1b 100644
--- a/community/gns3-server/APKBUILD
+++ b/community/gns3-server/APKBUILD
@@ -1,24 +1,23 @@
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=gns3-server
-pkgver=2.2.8
+pkgver=2.2.9
pkgrel=0
pkgdesc="GNS3 network simulator. Server package."
url="https://github.com/GNS3/gns3-server"
arch="all !mips !mips64" # blocked by py3-py-cpuinfo
license="GPL-3.0-or-later"
depends="busybox dynamips python3
- py3-aiohttp-gns3 py3-aiohttp-cors-gns3
- py3-async-timeout-gns3 py3-jsonschema-gns3
+ py3-aiohttp py3-aiohttp-cors
+ py3-async-timeout py3-jsonschema
py3-pytest py3-raven
py3-psutil-gns3 py3-jinja2
py3-async_generator py3-aiofiles-gns3
- py3-distro py3-py-cpuinfo
+ py3-distro py3-py-cpuinfo py3-sentry-sdk
"
makedepends="busybox-static py3-setuptools python3-dev linux-headers"
subpackages="$pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::https://github.com/GNS3/gns3-server/archive/v$pkgver.tar.gz
- requirements.patch"
+source="$pkgname-$pkgver.tar.gz::https://github.com/GNS3/gns3-server/archive/v$pkgver.tar.gz"
build() {
# Upstream includes busybox binary for x86_64. We want to replace it by
@@ -49,5 +48,4 @@ gns3-server has several optional packages that must be installed manually for ad
EOF
}
-sha512sums="3394d368c986ce8378739bdbc15359c46bdf787a38e18bae9035653dd6dc6683973bf1b7952137189f57fd83074f3d5ea6040f5d7a1d0503f6cf21d2835cd693 gns3-server-2.2.8.tar.gz
-a5bf609c2d3dd63d4d3c3ad7b57248d044b7764f277eaf3218b38002defea20dd6e66d48b11d249149edafe076ef5b3e1981e8fc6e8e9f819e414caa83584bce requirements.patch"
+sha512sums="8eb0bb2e2c2c39f59dae1570ff60174dbc8e44e1f8c5aaa075f5d3710e8d579194532920e04f8da781c5ca6f6f29c3c6c2be310eae68ebf816bb46d979b87058 gns3-server-2.2.9.tar.gz"
diff --git a/community/gns3-server/requirements.patch b/community/gns3-server/requirements.patch
deleted file mode 100644
index 1afdbf53fc..0000000000
--- a/community/gns3-server/requirements.patch
+++ /dev/null
@@ -1,9 +0,0 @@
-diff --git a/requirements.txt b/requirements.txt
-index 57fbb79..db28f00 100644
---- a/requirements.txt
-+++ b/requirements.txt
-@@ -1,4 +1,3 @@
--yarl==1.3.0 # yarl 1.4+ requires Python 3.6+ (needed by aiohttp and aiohttp-cors)
- jsonschema==3.2.0; python_version >= '3.8' # pyup: ignore
- jsonschema==2.6.0; python_version < '3.8' # pyup: ignore
- aiohttp==3.6.2